package com.ruoyi.back.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.back.mapper.PdProcessDataMapper;
import com.ruoyi.back.domain.PdProcessData;
import com.ruoyi.back.service.IPdProcessDataService;

/**
 * 数据处理Service业务层处理
 *
 * @author voluntary
 * @date 2022-12-09
 */
@Service
public class PdProcessDataServiceImpl implements IPdProcessDataService
{
    @Autowired
    private PdProcessDataMapper pdProcessDataMapper;

    /**
     * 查询数据处理
     *
     * @param id 数据处理主键
     * @return 数据处理
     */
    @Override
    public PdProcessData selectPdProcessDataById(Long id)
    {
        return pdProcessDataMapper.selectPdProcessDataById(id);
    }

    /**
     * 查询数据处理列表
     *
     * @param pdProcessData 数据处理
     * @return 数据处理
     */
    @Override
    public List<PdProcessData> selectPdProcessDataList(PdProcessData pdProcessData)
    {
        return pdProcessDataMapper.selectPdProcessDataList(pdProcessData);
    }

    /**
     * 新增数据处理
     *
     * @param pdProcessData 数据处理
     * @return 结果
     */
    @Override
    public int insertPdProcessData(PdProcessData pdProcessData)
    {
        pdProcessData.setCreateTime(DateUtils.getNowDate());
        return pdProcessDataMapper.insertPdProcessData(pdProcessData);
    }

    /**
     * 修改数据处理
     *
     * @param pdProcessData 数据处理
     * @return 结果
     */
    @Override
    public int updatePdProcessData(PdProcessData pdProcessData)
    {
        pdProcessData.setUpdateTime(DateUtils.getNowDate());
        return pdProcessDataMapper.updatePdProcessData(pdProcessData);
    }

    @Override
    public int updatePdProcessDataByQuartz(PdProcessData pdProcessData) {
        return pdProcessDataMapper.updatePdProcessDataByQuartz(pdProcessData);
    }

    /**
     * 批量删除数据处理
     *
     * @param ids 需要删除的数据处理主键
     * @return 结果
     */
    @Override
    public int deletePdProcessDataByIds(Long[] ids)
    {
        return pdProcessDataMapper.deletePdProcessDataByIds(ids);
    }

    /**
     * 删除数据处理信息
     *
     * @param id 数据处理主键
     * @return 结果
     */
    @Override
    public int deletePdProcessDataById(Long id)
    {
        return pdProcessDataMapper.deletePdProcessDataById(id);
    }
}
